INNWATCH(8)

NAME
innwatch - Monitor the state of INN and the system

SYNOPSIS
innwatch [-f ctlfile] [-i seconds] [-l logfile] [-t seconds]

DESCRIPTION
innwatch is normally started and stopped by rc.news when doinnwatch is set to true in inn.conf. Every innwatchsleeptime seconds, as set in inn.conf as well as other parameters tuning its behaviour, innwatch examines the load average, and the number of free blocks and inodes on the spool partition, as described by its control file, innwatch.ctl in pathetc.

If the load gets too high, or the disk gets too full, it throttles the server. When the condition restores, it unblocks the server. In addition, on each pass through the loop, it will check the logfile pathlog/news.crit to see if it has been modified, and send mail to the news administrator if so.

Upon receipt of an interrupt signal (SIGINT), innwatch will report its status in the file innwatch.status in pathrun.

OPTIONS

-f file
    Specify the control file to use, other than the default of innwatch.ctl in pathetc.

-i seconds
    With this option, innwatch has an initial sleep of seconds seconds at startup. This is useful when innwatch is started at the same time as INN, so that it can wait a little before beginning performing its checks.

-l logfile
    Specify a log file to watch, other than the default of news.crit.

-t seconds
    Specify the period in seconds between checks, to override the value set in inn.conf.

HISTORY
Written by Mike Cooper <mcooper@usc.edu>, with modifications by <kre@munnari.oz.au>, Steve Groom <stevo@elroy.jpl.nasa.gov> and Christophe Wolfhugel <wolf@pasteur.fr>. Converted to POD by Julien Elie.

SEE ALSO
inn.conf(5), innwatch.ctl(5), newslog(5), rc.news(8).